Scriptname LoversComfortCooldownEffScr extends activemagiceffect  

Spell Property pAbilityToRemove Auto
Int Property pHoursToWait Auto
float Property pTimeToWait Auto

int counter
Actor abTarget

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If (Self == None)
		return
	EndIf
	
	abTarget = akTarget
	
	; start timer
	counter = 0
	If (pHourstoWait > 0)
		RegisterForSingleUpdateGameTime(pHourstoWait)
		counter -= 1
	EndIf
	
	If (pTimeToWait > 0)
		RegisterForSingleUpdate(pTimeToWait)
		counter -= 1
	EndIf
EndEvent


Event OnUpdateGameTime()
	counter += 1
	RemoveEffect()
EndEvent


Event OnUpdate()
	counter += 1
	RemoveEffect()
EndEvent


Event OnEffectFinish(Actor akTarget, Actor akCaster)
	abTarget.RemoveSpell(pAbilityToRemove)
EndEvent


Function RemoveEffect()
	If (counter >= 0)
		Dispel()
	EndIf
EndFunction